import os
import sys
sys.path.append('/allen/programs/braintv/workgroups/nc-ophys/nick.ponvert/src/pbstools')
from pbstools import PythonJob 
import behavior_project_cache as bpc

# python_file = r"/allen/programs/braintv/workgroups/nc-ophys/nick.ponvert/src/AllenSDK/allensdk/brain_observatory/behavior/swdb/summary_figures.py"

python_file = r"/home/marinag/AllenSDK/allensdk/brain_observatory/behavior/swdb/summary_figures.py"
# python_file = r"/home/nick.ponvert/src/AllenSDK/allensdk/brain_observatory/behavior/swdb/summary_figures.py"

jobdir = '/allen/programs/braintv/workgroups/nc-ophys/nick.ponvert/cluster_jobs/visb_swdb_summary_figures'

job_settings = {'queue': 'braintv',
                'mem': '15g',
                'walltime': '0:30:00',
                'ppn':1,
                'jobdir': jobdir,
                }

cache_json = {'manifest_path': '/allen/programs/braintv/workgroups/nc-ophys/visual_behavior/SWDB_2019/cache_20190813/visual_behavior_data_manifest.csv',
              'nwb_base_dir': '/allen/programs/braintv/workgroups/nc-ophys/visual_behavior/SWDB_2019/cache_20190813/nwb_files',
              'analysis_files_base_dir': '/allen/programs/braintv/workgroups/nc-ophys/visual_behavior/SWDB_2019/cache_20190813/analysis_files',
              'analysis_files_metadata_path': '/allen/programs/braintv/workgroups/nc-ophys/visual_behavior/SWDB_2019/cache_20190813/analysis_files_metadata.json',
              }

cache = bpc.BehaviorProjectCache(cache_json)

experiment_ids = cache.manifest['ophys_experiment_id'].values

for experiment_id in experiment_ids:
    PythonJob(
        python_file,
        python_args = experiment_id,
        python_executable = '/home/marinag/anaconda2/envs/visual_behavior_sdk/bin/python',
        conda_env = None,
        jobname = 'trial_response_df_{}'.format(experiment_id),
        **job_settings
    ).run(dryrun=False)
# python_executable = '/home/nick.ponvert/anaconda3/envs/allen/bin/python',
