from allensdk.brain_observatory.ecephys.ecephys_project_api import EcephysProjectApi


class MissingDataError(ValueError):
    pass


class EcephysProjectFixedApi(EcephysProjectApi):

    def get_session_data(self, session_id, *args, **kwargs):
        raise MissingDataError(f"data for session {session_id} not found!")

    def get_probe_lfp_data(self, probe_id, *args, **kwargs):
        raise MissingDataError(f"lfp data for probe {probe_id} not found!")

    def get_sessions(self, *args, **kwargs):
        raise MissingDataError(f"Data not found!")

    def get_targeted_regions(self, *args, **kwargs):
        raise MissingDataError(f"Data not found!")

    def get_isi_experiments(self, *args, **kwargs):
        raise MissingDataError(f"Data not found!")

    def get_units(self, *args, **kwargs):
        raise MissingDataError(f"Data not found!")

    def get_channels(self, *args, **kwargs):
        raise MissingDataError(f"Data not found!")

    def get_probes(self, *args, **kwargs):
        raise MissingDataError(f"Data not found!")

    def get_natural_movie_template(self, number, *args, **kwargs):
        raise MissingDataError(f"natural movie template not found for movie {number}")

    def get_natural_scene_template(self, number, *args, **kwargs):
        raise MissingDataError(f"natural scene template not found for scene {number}")
