from typing import Dict, Optional
from datetime import datetime

import numpy as np
import pandas as pd
import xarray as xr

from ...running_speed import RunningSpeed


class EcephysSessionApi:

    session_na = -1

    __slots__: tuple = tuple([])

    def __init__(self, *args, **kwargs):
        pass

    def test(self) -> bool:
        raise NotImplementedError

    def get_session_start_time(self) -> datetime:
        raise NotImplementedError

    def get_running_speed(self) -> RunningSpeed:
        raise NotImplementedError

    def get_stimulus_presentations(self) -> pd.DataFrame:
        raise NotImplementedError

    def get_invalid_times(self) -> pd.DataFrame:
        raise NotImplementedError

    def get_probes(self) -> pd.DataFrame:
        raise NotImplementedError

    def get_channels(self) -> pd.DataFrame:
        raise NotImplementedError

    def get_mean_waveforms(self) -> Dict[int, np.ndarray]:
        raise NotImplementedError

    def get_spike_times(self) -> Dict[int, np.ndarray]:
        raise NotImplementedError

    def get_units(self) -> pd.DataFrame:
        raise NotImplementedError

    def get_ecephys_session_id(self) -> int:
        raise NotImplementedError

    def get_lfp(self, probe_id: int) -> xr.DataArray:
        raise NotImplementedError

    def get_optogenetic_stimulation(self) -> pd.DataFrame:
        raise NotImplementedError

    def get_spike_amplitudes(self) -> Dict[int, np.ndarray]:
        raise NotImplementedError

    def get_rig_metadata(self) -> Optional[dict]:
        raise NotImplementedError

    def get_pupil_data(self, suppress_pupil_data: bool) -> Optional[pd.DataFrame]:
        raise NotImplementedError

    def get_metadata(self):
        raise NotImplementedError
